Bug 889122 - 3.2 - upgrade from 4.9-113.4 (z-stream) to 4.9.6-44.1 (GA) fails as vdsm doesn't require correct selinux-policy package
3.2 - upgrade from 4.9-113.4 (z-stream) to 4.9.6-44.1 (GA) fails as vdsm does...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Unspecified
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Douglas Schilling Landgraf
Dafna Ron
infra
: ZStream
Depends On:
Blocks: 892667 892670 915537
  Show dependency treegraph
 
Reported: 2012-12-20 04:38 EST by Haim
Modified: 2016-02-10 14:25 EST (History)
13 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 892670 (view as bug list)
Environment:
Last Closed: 2013-03-18 15:29:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10622 None None None Never

  None (edit)
Description Haim 2012-12-20 04:38:56 EST
Description of problem:

trying to upgrade one of our hosts on rhevm-3 production setup running latest z-stream to GA and it fails on the following.

selinux set to enforcing, it looks as if it misses 'sanlock_use_nfs' Boolean, how can that be?

[root@nott-vds4 ~]# yum update vdsm 
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating certificate-based repositories.
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package vdsm.x86_64 0:4.9-113.4.el6_3 will be updated
---> Package vdsm.x86_64 0:4.9.6-44.1.el6_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================
 Package                     Arch                          Version                                  Repository                                            Size
===============================================================================================================================================================
Updating:
 vdsm                        x86_64                        4.9.6-44.1.el6_3                         rhel-x86_64-rhev-mgmt-agent-6                        693 k

Transaction Summary
===============================================================================================================================================================
Upgrade       1 Package(s)

Total download size: 693 k
Is this ok [y/N]: y
Downloading Packages:
vdsm-4.9.6-44.1.el6_3.x86_64.rpm                                                                                                        | 693 kB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Error in PREIN scriptlet in rpm package vdsm-4.9.6-44.1.el6_3.x86_64
/usr/sbin/semanage: Boolean sanlock_use_nfs is not defined
error: %pre(vdsm-4.9.6-44.1.el6_3.x86_64) scriptlet failed, exit status 255
error:   install: %pre scriptlet failed (2), skipping vdsm-4.9.6-44.1.el6_3
Installed products updated.
vdsm-4.9-113.4.el6_3.x86_64 was supposed to be removed but is not!

Failed:
  vdsm.x86_64 0:4.9-113.4.el6_3                                                 vdsm.x86_64 0:4.9.6-44.1.el6_3                                                

Complete!
[root@nott-vds4 ~]# 


repro steps:

- have a RHEL6.2 host installed and working with vdsm 4.9-113.4 on top
- make sure host is registered to the following channels:

rhel-x86_64-rhev-mgmt-agent-6
rhel-x86_64-server-6
rhel-x86_64-server-supplementary-6

- run yum update vdsm


yum log:

Dec 19 20:44:32 Updated: libvirt-client-0.9.10-21.el6_3.7.x86_64
Dec 19 20:44:33 Installed: sanlock-lib-2.3-4.el6_3.x86_64
Dec 19 20:44:39 Updated: initscripts-9.03.31-2.el6_3.1.x86_64
Dec 19 20:44:41 Installed: sanlock-2.3-4.el6_3.x86_64
Dec 19 20:44:44 Updated: libvirt-0.9.10-21.el6_3.7.x86_64
Dec 19 20:44:45 Installed: vdsm-python-4.9.6-44.1.el6_3.x86_64
Dec 19 20:44:46 Updated: vdsm-cli-4.9.6-44.1.el6_3.noarch
Dec 19 20:44:47 Installed: sanlock-python-2.3-4.el6_3.x86_64
Dec 19 20:44:48 Updated: libvirt-python-0.9.10-21.el6_3.7.x86_64
Dec 19 20:44:49 Updated: kpartx-0.4.9-56.el6_3.1.x86_64
Dec 19 20:44:54 Updated: kernel-firmware-2.6.32-279.19.1.el6.noarch
Dec 19 20:45:06 Installed: kernel-2.6.32-279.19.1.el6.x86_64
Dec 19 20:45:08 Installed: genisoimage-1.1.9-11.el6.x86_64
Dec 19 20:45:13 Updated: augeas-libs-0.9.0-4.el6.x86_64
Dec 19 20:45:14 Installed: augeas-0.9.0-4.el6.x86_64
Dec 19 20:45:15 Installed: libvirt-lock-sanlock-0.9.10-21.el6_3.7.x86_64
Dec 19 20:45:16 Updated: device-mapper-multipath-libs-0.4.9-56.el6_3.1.x86_64
Dec 19 20:45:18 Updated: device-mapper-multipath-0.4.9-56.el6_3.1.x86_64
Dec 19 20:45:25 vdsm-4.9.6-44.1.el6_3.x86_64: 100
Dec 19 20:45:27 kernel: ts_done name in te is vdsm should be kernel
Dec 19 20:45:39 device-mapper-multipath: ts_done name in te is kernel should be device-mapper-multipath
Dec 19 20:45:44 libvirt: ts_done name in te is device-mapper-multipath should be libvirt
Dec 19 20:45:46 libvirt-python: ts_done name in te is libvirt should be libvirt-python
Dec 19 20:45:47 kernel-firmware: ts_done name in te is libvirt-python should be kernel-firmware
Dec 19 20:45:50 libvirt-client: ts_done name in te is kernel-firmware should be libvirt-client
Dec 19 20:45:53 device-mapper-multipath-libs: ts_done name in te is libvirt-client should be device-mapper-multipath-libs
Dec 19 20:45:54 initscripts: ts_done name in te is device-mapper-multipath-libs should be initscripts
Dec 19 20:45:59 kpartx: ts_done name in te is initscripts should be kpartx
Dec 19 20:45:59 augeas-libs: ts_done name in te is kpartx should be augeas-libs
De
Comment 2 RHEL Product and Program Management 2012-12-24 01:53:32 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Federico Simoncelli 2013-01-03 08:17:20 EST
sanlock_use_nfs boolean was introduced in selinux-policy-3.7.19-131:

* Mon Dec 05 2011 Miroslav Grepl <mgrepl@redhat.com> 3.7.19-131
- Add sanlock_use_nfs boolean

sanlock_use_fusefs was introduced in selinux-policy-3.7.19-155.5:

* Tue Oct 09 2012 Miroslav Grepl <mgrepl@redhat.com> 3.7.19-155.5
- Fix the virt_use_fusefs boolean and add the sanlock_use_fusefs boolean

So requiring selinux-policy >= 3.7.19-155.5 should fix the issue.
Comment 4 Douglas Schilling Landgraf 2013-01-03 09:12:13 EST
Patch available upstream for review:
http://gerrit.ovirt.org/#/c/10622/
Comment 10 Haim 2013-03-18 15:29:55 EDT
we tested the bug as a part of RHEL6.2 >> RHEL6.3 upgrade >> RHEL6.4.
closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.